org.apache.fop.fo.properties

## Class FontWeightPropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.EnumProperty.Maker
    - - org.apache.fop.fo.properties.FontWeightPropertyMaker

- All Implemented Interfaces:
    Cloneable

      public class FontWeightPropertyMaker
      extends EnumProperty.Maker

  Font weight property maker.

- - ### Property Summary

    - ### Properties inherited from class org.apache.fop.fo.properties.PropertyMaker

      `makeNewProperty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontWeightPropertyMaker(int propId)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `make(PropertyList pList, String value, FObj fo)` Create a Property object from an attribute specification.

    - ### Methods inherited from class org.apache.fop.fo.properties.EnumProperty.Maker

      `checkEnumValues, convertProperty`

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontWeightPropertyMaker

          public FontWeightPropertyMaker(int propId)

      Main constructor
      Parameters:
        `propId` - the property id

  - ### Method Detail

    - #### make

          public Property make(PropertyList pList,
                               String value,
                               FObj fo)
                        throws PropertyException

      Create a Property object from an attribute specification.
      Overrides:
        `make` in class `PropertyMaker`
      Parameters:
        `pList` - The PropertyList object being built for this FO.
        `value` - The attribute value.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        The initialized Property object.
      Throws:
        `PropertyException` - for invalid or inconsistent FO input

Copyright © 2025 Apache Software Foundation. All rights reserved.